Package classycle

# Class NameAndSourceAttributes

java.lang.Object
classycle.graph.NameAttributes
classycle.NameAndSourceAttributes

All Implemented Interfaces:
  `Attributes`, `Comparable<Attributes>`

Direct Known Subclasses:
  `ClassAttributes`, `PackageAttributes`

public abstract class NameAndSourceAttributes extends NameAttributes
Abstract super class of `Attributes` with a name and a set of sources.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`NameAndSourceAttributes(String name)`
Creates an instance for the specified name.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addSource(String source)`
Adds the specified source.
`protected void`
`addSourcesOf(NameAndSourceAttributes attributes)`
Adds the source of the specified attributes.
`String`
`getSources()`
Returns a comma separated list of sources.

### Methods inherited from class classycle.graph.NameAttributes

`compareTo, getName, getSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NameAndSourceAttributes

public NameAndSourceAttributes(String name)
Creates an instance for the specified name. Initially there are no sources.

## Method Details

### addSource

protected void addSource(String source)
Adds the specified source.

### addSourcesOf

protected void addSourcesOf(NameAndSourceAttributes attributes)
Adds the source of the specified attributes.

### getSources

public String getSources()
Returns a comma separated list of sources.